Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I've switched on an old laptop running 11.04 and Firefox 4!

Mozilla suggested upgrading to Firefox26. It appears in my downloads folder.

I've tried to extract and open but I can't get Firefox 26 visible to open/use. Update Manager doesn't seem to help.

Can anyone steer me with a very simple step-by-step guide to finish the upgrade please.

I checked other Q&A and people seem to discuss conflicting codes, repositories etc without saying "click on XYZ".

All help appreciated. Thanks in advance.

share|improve this question

closed as off-topic by Florian Diesch, dobey, Rinzwind, guntbert, fossfreedom Dec 23 '13 at 23:38

This question appears to be off-topic. The users who voted to close gave this specific reason:

If this question can be reworded to fit the rules in the help center, please edit the question.

    
possible duplicate of How to install software or upgrade from old unsupported release? –  dobey Dec 23 '13 at 21:16

2 Answers 2

Could do the whole thing like:

sudo apt-get update
sudo apt-get upgrade

or

just firefox

sudo apt-get --only-upgrade install firefox

Is the easiest way that I can think of but it might be quicker to do a fresh install from a disk.

See here for pictures: Upgrade a single package with apt-get?

share|improve this answer

Ubuntu 11.04 is no longer supported. and there are no updates available for it. with newer versions of Ubuntu you will get a current version of Ubuntu by just updating Ubuntu (via the GUI or sudo apt-get update).

Not only will a old Ubuntu give you old versions of software, more importantly it will mean a security risk since security updates are no longer made for your version. I would highly recommend to upgrade to a supported version of Ubuntu.

If you are planing to not to upgrade the system I would recommend to choose a Long therm support (LTS) version. these releases will get software and security updates. the most current LTS version is 12.04 which is supported till April 2017. In April 2014 14.04 will come out which is supported till 2019.

share|improve this answer

Not the answer you're looking for? Browse other questions tagged or ask your own question.